<?php
/*
Plugin Name: Routee
Description: Build campaigns, share content, engage clients via all available devices and messaging options. With Routee you can do the right thing at the right time making sure you deliver.
Version: 2.0.1
Author: WayMore.io
Author URI: https://waymore.io/
*/

if ( WP_DEBUG ) {
	error_reporting(E_ALL);
	ini_set('display_errors', 1);
}

if ( ! defined( 'ABSPATH' ) ) exit;

// If this file is called directly, abort.
if (!defined( 'WPINC')) die;

const ROUTEE_PLUGIN_VERSION = '2.0.1';

// Value can be prod or dev only cause all URLs depend on this value
const ROUTEE_ENV = 'dev';

const ROUTEE_AUTH_URL     = 'https://waymore.routee.net/api/authenticate';

const ROUTEE_DATA_URL     = 'https://idata.routee.net/api/data';

const ROUTEE_EVENT_URL     = 'https://idata.routee.net/api/event';

register_activation_hook(__FILE__,'Routee_Active');
function Routee_Active(){
	if (in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
		global $table_prefix, $wpdb;
		$table_name = $table_prefix.'events';
		$create_tbl = "CREATE TABLE IF NOT EXISTS `{$table_name}` (
					  `id` int(11) NOT NULL AUTO_INCREMENT,
					  `event` varchar(455) NOT NULL,
					  `event_id` varchar(455) NOT NULL,
					  `req_msg` varchar(455) NOT NULL,
					  `is_valid` enum('0','1') NOT NULL,
					  `created_at` datetime NOT NULL,
					  `updated_at` datetime NOT NULL,
					  `json` text NOT NULL,
					  PRIMARY KEY (id)
					) ENGINE=MyISAM DEFAULT CHARSET=latin1";
		$wpdb->query($create_tbl);
	}else{
		echo '<h3>'.__('Woocommerce is compulsory for activate this plugin!', 'ap').'</h3>';
		//Adding @ before will prevent XDebug output
		@trigger_error(__('Please install woocommerce before activating.', 'ap'), E_USER_ERROR);
	}
}
register_deactivation_hook( __FILE__, 'Routee_Deactive' );
function Routee_Deactive(){
	
	Routee_http_call( 'event', array(),'Uninstall' );
	delete_option('RouteeLoginUser');
	delete_option('RouteeLoginPswd');
	delete_option('RouteeLoginCode');
	delete_option('RouteeAuthorized');
}

// Run all Routee hooks and functions
Routee_Functions();

function Routee_Functions(){
	include_once "function.php";
	include_once "Routee_Functions.php";
	$routee = new Routee_Functions();
}
